ormolu-0.5.3.0: A formatter for Haskell source code

Safe Haskell | Safe-Inferred
Language | Haskell2010

Ormolu.Utils.IO

Description

Write `Text` to files using UTF8 and ignoring native line ending conventions.

Synopsis

- writeFileUtf8 :: MonadIO m => FilePath -> Text -> m ()
- readFileUtf8 :: MonadIO m => FilePath -> m Text
- getContentsUtf8 :: MonadIO m => m Text

# Documentation

writeFileUtf8 :: MonadIO m => FilePath -> Text -> m () Source #

Write a `Text` to a file using UTF8 and ignoring native line ending conventions.

readFileUtf8 :: MonadIO m => FilePath -> m Text Source #

Read an entire file strictly into a `Text` using UTF8 and ignoring native line ending conventions.

getContentsUtf8 :: MonadIO m => m Text Source #

Read stdin as UTF8-encoded `Text` value.